echo - 此功能可以刷一些zip/ozip的卡刷包，也可以刷入其他Magisk模块，等价于TWRP主页的安装功能
echo.
%error% 文件名不要带有空格和特殊非主流符号否则可能导致发送失败
pause


:next
    adb shell ls %sd_tmp% >nul 2>nul || (
        echo - 该功能会向手机目录%sd_tmp%，发送文件是否愿意？
        echo - 0.回到主菜单     回车和任意内容继续
        echo. 
        echo.
        set gn=
        set /p gn=%t2%
            if "!gn!"=="0" ( main )
            adb shell mkdir -p %sd_tmp%
            adb shell touch %sd_tmp%/警告不要在这里存放文件.log
            echo.
    )


:Brush_in
    echo.
    echo.
    echo - 请选择您的设备状态
    echo.
    set gn=
    echo - 1.rec/TWRP模式下        2.系统/ADB Sideload模式下        3.FASTBOOT模式下
    echo.
    echo.
    set /p gn=%t2%
    if "!gn!"=="1" ( goto file )
    
    echo - 如果无法自动重启到rec/TWRP模式请手动进入
    if "!gn!"=="2" (
        echo - 开始重启到rec/TWRP
        call bat\a4.bat
        goto file
    )
    
    if "!gn!"=="3" (
        set gn=
        echo - 3.使用方法①进入       4.使用方法②进入
        echo.
        echo.
        set /p gn=%t2%
        if "!gn!"=="4" ( call bat\f4.bat ) else ( call bat\f3.bat )
        goto file
    )
        cls
        %error% 输入错误，请重新输入
        goto Brush_in


:file
    %tishi1% 刷入的zip/ozip文件
    set zipfile=
    set /p zipfile=%t1%
    if not defined zipfile ( cls & %error% 未选择文件，刷个鸡儿 & goto file )
    if not exist !zipfile! ( cls & %error% 选择的文件不存在，刷个鸡儿 & goto file )
    echo - 已选择文件：!zipfile!
    %basename% !zipfile!
    set "F=%sd_tmp%/%basename2%"



:lebal
    %awfr%
    echo - 发送!zipfile!到%F%
    if "%F%"=="%sd_tmp%/" ( abort 获取名称出错，错误详情：%F% )
    adb shell rm -rf %F% >nul 2>nul
    adb push !zipfile! "%F%"
    adb shell ls "%F%"
    if not "%errorlevel%"=="0" (
        %error% 发送失败
        %error% 请确保您的设备data已解密或没有强制加密，或文件名称没有特殊符号
        echo.
        %error% 解决办法1：
        %error% 在系统开机状态下移除锁屏密码即可
        echo.
        %error% 解决办法2：
        %error% 刷个可以解密data的rec/TWRP，绘制锁屏密码进入rec/TWRP主页即可
        abort
    )
        echo - 开始安装：%F%……
        echo - 等待设备刷入完毕……
        adb shell twrp install "%F%"
        if "%errorlevel%"=="0" ( echo - %F%刷入完毕 ) else ( abort %F%刷入失败，请确保对方设备使用的是三方recovery )
        echo.
        echo.
        echo - 是否还需要再刷入别的zip/ozip文件？？？
        set /p gn=1.为确定     回车或任意内容为跳过：
            if "!gn!"=="1" (
                cls
                goto file
            )
                %CQ%
